phone.sendSignalingData
Send VoIP signaling data for an ongoing phone call.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Send VoIP signaling data for an ongoing phone call.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.sendSignalingData" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPhoneCall", "id": "string", "accessHash": "string" }, "data": "string" } }'{ "result": true}sendGroupCallMessage
Send an in-call message to all participants of a video chat/livestream or live story, including in RTMP mode, see [here »](https://core.telegram.org/api/group-calls#in-call-messages) for more info. The send_as field can only be populated for live stories, where it optionally selects the displayed author. If omitted, the server automatically selects the appropriate author. Do not populate it for video chats/livestreams. Video chats/livestreams and live stories support [animated emoji reactions »](https://core.telegram.org/api/group-calls#in-call-reactions), encoded as messages containing only a standard available reaction emoji or a single custom emoji entity. For a paid live story comment, pass the user-confirmed donation amount in allow_paid_stars. For commenters other than the live story owner, this amount must be at least the current `RawGroupCall`.send_paid_messages_stars minimum. A higher amount may be donated to highlight the comment. The live story owner may comment without populating allow_paid_stars. To send a standalone paid live story donation, pass a positive allow_paid_stars value and an empty message, see [here »](https://core.telegram.org/api/group-calls#paid-live-story-donations) for the full flow.
setCallRating
Rate a call, returns info about the rating message sent to the official VoIP bot, see [here »](https://core.telegram.org/api/calls#call-rating) for more info on the full flow.